         DIMENSION N(40)
         DO 10 I = 1, 20
         READ (5  , 16, ERR = 23) N(I)
   10    CONTINUE
         WRITE (6, 30) (N(I), I = 1,20  )
  16     FORMAT (40I3)
  30     FORMAT (1X, 5I4 / 5I4)
        GO TO 19
  23    WRITE (6,14)
          GO TO 10
  14     FORMAT (1X, ' ERROR OCCURRED ')
  
  19         STOP
         END

